
Foreman - Feature #1527

Add support for per OS classes list.

03/12/2012 06:37 AM - Steve Traylen

Status: Rejected   

Priority: Normal   

Assignee:    

Category: Puppet integration   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Please could the addition of puppet classes to an operating system be possible just as parameters are for instance.

Up to now we have been using a 'base' class that all machines are a member of e.g

/base/service1

/base/service2

to define a common layer of puppet deployment however this is starting to break down as

other operating systems are added such as debian, windows, fedora rawhide where modules

don't work or are just not sensible. In principal we could improve puppet modules to execute sensibly under

windows and use a parameter but just about every module would have to be touched.

In reality it is base of classes per operating system we are looking to deploy.

History

#1 - 08/28/2014 05:30 AM - Steve Traylen

Just to say I have no interest in this any more, finding it hard to remember why I wanted it.

#2 - 03/15/2016 06:04 AM - Ohad Levy

- Description updated

- Status changed from New to Rejected

- Assignee deleted (Ohad Levy)

based on lack of interest, rejecting.
